<?php get_header(); ?>

<?php get_sidebar(); ?>

    <div id="content">

<?php if (have_posts()) : ?>
  <?php $post = $posts[0]; /* Hack. Set $post so that the_date() works.*/ ?>
  <?php if (is_category()) : /* If this is a category archive */ ?>
    <h2 class="pagetitle">&#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
  <?php elseif (is_tag()) : /* If this is a tag archive */ ?>
    <h2 class="pagetitle">Posts tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
  <?php elseif (is_day()) : /* If this is a daily archive */ ?>
    <h2 class="pagetitle"><?php the_time('F jS, Y'); ?></h2>
  <?php elseif (is_month()) : /* If this is a monthly archive */ ?>
    <h2 class="pagetitle"><?php the_time('F, Y'); ?></h2>
  <?php elseif (is_year()) : /* If this is a yearly archive */ ?>
    <h2 class="pagetitle"><?php the_time('Y'); ?></h2>
  <?php elseif (is_author()) : /* If this is an author archive */ ?>

  <?php /* Getting author's name */ if(get_query_var('author_name')) : $curauth = get_userdatabylogin(get_query_var('author_name'));
  else : $curauth = get_userdata(get_query_var('author')); endif; ?>
    <h2 class="pagetitle">All posts by <?php echo $curauth->display_name; ?></h2>
  <?php elseif (isset($_GET['paged']) && !empty($_GET['paged'])) : /* If this is a paged archive */ ?>
    <h2 class="pagetitle">Blog Archives</h2>
  <?php endif; ?>
  <?php while (have_posts()) : the_post(); ?>
  <div class="post">
    <h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
    <small><?php the_time('F jS, Y') ?></small>
    <div class="entry">
      <?php the_content() ?>
    </div>
    <p class="postmetadata">
      Posted in <?php the_category(', ') ?> by <?php the_author_posts_link() ?> | <?php edit_post_link('Edit', '', ' | '); ?>
      <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
    </p>
  </div>
  <?php endwhile; ?>
  <div class="navigation">
    <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
    <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
  </div>
  <?php else : ?>
  <h2 class="center">Not Found</h2>
  <?php include (TEMPLATEPATH . '/searchform.php'); ?>
  <?php endif; ?>

    </div>

<?php get_footer(); ?>