<?php get_header(); ?>

<?php get_sidebar(); ?>

<div id="content">

<?php if (get_option('sirup_lead_story') == 'true') { ?>
<div class="feature" id="lead">
<?php $lead_cat = get_option('sirup_lead_cat'); ?>
<?php query_posts('showposts=1&cat='.$lead_cat); ?>
<?php while (have_posts()) : the_post(); ?>

<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>" class="title"><?php the_title(); ?></a></h1>
<?php if /* Check if there even is an image */ (get_post_custom_values("Image") != '') { ?>
<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
<img src="<?php bloginfo('url'); echo get_option('sirup_upload_path'); $values = get_post_custom_values("Image"); echo $values[0]; ?>" alt="" id="leadpic" width="<?php echo get_option('sirup_thumb_lead'); ?>"/></a>
<?php } ?>
<?php the_excerpt(); ?>
<?php endwhile; ?>

</div>
<?php } ?> <!-- END LEAD STORY -->

<?php if (get_option('sirup_theme_style') == 'magazine') { ?>


<div class="frontcol">

<?php $display_categories = explode(',', get_option('sirup_left_cat') ); foreach ($display_categories as $category) { ?>
    <div class="clearfloat">
      <?php query_posts("showposts=1&cat=$category"); $wp_query->is_category = false; $wp_query->is_archive = false; $wp_query->is_home = true; ?>
      <?php while (have_posts()) : the_post(); ?>
      <h3><a href="<?php echo get_category_link($category);?>"><?php single_cat_title(); ?></a></h3>
      <h2><a href="<?php the_permalink() ?>" rel="bookmark" class="title"><?php the_title(); ?>&raquo;</a></h2>

       <?php $values = get_post_custom_values("Image"); if (isset($values[0])) { ?>
         <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
        <img src="<?php bloginfo('url'); echo get_option('sirup_upload_path'); $values = get_post_custom_values("Image"); echo $values[0]; ?>" alt="" width="<?php echo get_option('sirup_thumb_cat'); ?>"/></a>
         <?php } ?>
      <?php the_excerpt(); ?>
      <?php endwhile; ?>
    </div>
    <?php } ?>
  </div>

  <div class="frontcol">
  <?php $display_categories = explode(',', get_option('sirup_right_cat') ); foreach ($display_categories as $category) { ?>
    <div class="clearfloat">
      <?php query_posts("showposts=1&cat=$category"); $wp_query->is_category = false; $wp_query->is_archive = false; $wp_query->is_home = true; ?>
      <?php while (have_posts()) : the_post(); ?>
      <h3><a href="<?php echo get_category_link($category);?>"><?php single_cat_title(); ?></a></h3>
      <h2><a href="<?php the_permalink() ?>" rel="bookmark" class="title"><?php the_title(); ?>&raquo;</a></h2>

       <?php $values = get_post_custom_values("Image");
        if (isset($values[0])) { ?>
         <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
        <img src="<?php bloginfo('url'); echo get_option('sirup_upload_path'); $values = get_post_custom_values("Image"); echo $values[0]; ?>" alt="" width="100"/></a>

         <?php } ?>
      <?php the_excerpt(); ?>
      <?php endwhile; ?>
    </div>
    <?php } ?>
  </div>
<?php } ?><!-- END MAGAZINE -->

<?php if (get_option('sirup_theme_style') == 'blog') { ?>
  <?php $lead_cat = get_option('sirup_lead_cat'); /* Make pagination work */ if ($paged == '') $offsetcount = 0; else $offsetcount=($posts_per_page*$paged)-$posts_per_page;
  query_posts('cat=-'. $lead_cat .'&offset='. $offsetcount .''); ?>

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

  <div class="post">
    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
    <small><?php the_time('F jS, Y') ?></small>
    <div class="entry">
      <?php the_content() ?>
    </div>
    <p class="postmetadata">
      Posted in <?php the_category(', ') ?> by <?php the_author_posts_link() ?> | <?php edit_post_link('Edit', '', ' | '); ?>
      <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
    </p>
  </div>
 <?php endwhile; ?> <?php endif; ?>
  <div class="navigation">
    <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
    <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
  </div>

<?php } ?>

<?php if (get_option('sirup_gray_boxes') == 'true') { ?>

<div id="frontpage">

<div class="box-left">
         <h2>New Comments</h2>
        <?php global $wpdb;

$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
comment_post_ID, comment_author, comment_date_gmt, comment_approved,
comment_type,comment_author_url,
comment_content AS com_excerpt
FROM $wpdb->comments
LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
$wpdb->posts.ID)
WHERE comment_approved = '1' AND comment_type = '' AND
post_password = ''
ORDER BY comment_date_gmt DESC
LIMIT ". get_option('sirup_comments') ."";

$comments = $wpdb->get_results($sql);

$output = $pre_HTML;
$output .= "\n<ul>";

foreach ($comments as $comment)
{
if(strlen($comment->com_excerpt) > 25) $comment->com_excerpt = substr($comment->com_excerpt, 0, 25) . "...";

$output .= "\n<li>" . "<a href=\"" . get_permalink($comment->ID) . "#comment-" . $comment->comment_ID . "\"
title=\"" . strip_tags($comment->com_excerpt)."\">&raquo;" . strip_tags($comment->com_excerpt) . " &laquo;</a>
said  " . strip_tags($comment->comment_author) . " </li>";
}

$output .= "\n</ul>";
$output .= $post_HTML;
echo $output;

?>
  </div>

   <div class="box-right">
         <h2>New Articles</h2>
             <ul>
         <?php $scom = get_option('sirup_articles'); ?>
            <?php $lastposts = get_posts('numberposts='.$scom);
         foreach($lastposts as $post) : setup_postdata($post); ?>
         <li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a> by <?php the_author(); ?></li>
         <?php endforeach; ?>
         </ul>
   </div>


   <div class="box-left">
         <h2>Random Articles</h2>
             <ul>
         <?php $srandom = get_option('sirup_random'); ?>
         <?php $rand = new WP_Query('orderby=rand&showposts='.$srandom); while($rand->have_posts()) : $rand->the_post(); ?>
         <li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a> by <?php the_author(); ?></li>
         <?php endwhile; ?>
         </ul>
   </div>

     <div class="box-right">
         <h2>Some Tags</h2>
         <?php $stags = get_option('sirup_tags'); ?>
         <?php wp_tag_cloud('smallest=10&largest=12&order=DESC&orderby=count&number='.$stags); ?>
  </div>

</div>

<?php } ?>

</div>

<?php get_footer(); ?>