

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php if (function_exists("language_attributes")) : ?>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<? else : ?>
<html xmlns="http://www.w3.org/1999/xhtml">
<? endif; ?>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?> <?php wp_title(); ?></title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<style type="text/css">
body {font-family:<?php echo get_option('sirup_font_text'); ?>; font-size:<?php echo get_option('sirup_font_size'); ?>;}
h1,h2,h3,h4,h5,h6,#headerimg h1,#lead h1{font-family:<?php echo get_option('sirup_font_heading') ?>;}
#page{line-height:<?php echo get_option('sirup_line_height'); ?>;}
</style>

<?php wp_head(); ?>
</head>
<body>
<div><a name='up' id='up'></a></div>

<div id="page">
  <div id="header">

    <div id="headerimg">
    <h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
    <?php if (get_option('sirup_show_description') == 'true') { ?><div class="description"><?php bloginfo('description'); ?></div><?php } ?>

    <div id="nav">

    <?php if (get_option('sirup_show_pages') == 'pages') { ?><ul id="navi2"><?php wp_list_pages('sort_column=menu_order&depth=1&number=3&title_li='); ?></ul><?php } ?>

    <?php if (get_option('sirup_show_pages') == 'categories') { ?><ul id="navi2"><?php wp_list_categories('orderby=count&order=DESC&number=6&child_of=0&title_li='); ?></ul><?php } ?>

    </div>
    </div>
  </div>
  <div id="wrap">